Page MenuHomePhabricator

GlobalISel: Move computeValueLLTs
ClosedPublic

Authored by arsenm on Apr 5 2019, 1:45 PM.

Details

Summary

Call lowering should use this directly instead of going through the
EVT version, but more work is needed to deal with this (mostly the
passing of the IR type pointer instead of the relevant properties in
ArgInfo).

Diff Detail

Event Timeline

arsenm created this revision.Apr 5 2019, 1:45 PM
aemerson accepted this revision.Apr 9 2019, 10:04 AM

LGTM.

This revision is now accepted and ready to land.Apr 9 2019, 10:04 AM
arsenm closed this revision.Apr 10 2019, 10:27 AM

r358111